Subject: RE: [PATCH RFC 0/3] Introduce Rust and announce that it will become mandatorty

From: <[email-masked]>
Date: Sat, 20 Sep 2025 21:15:34 -0400

On September 20, 2025 7:48 PM, Ezekiel Newren wrote:
>On Sat, Sep 20, 2025 at 5:18 PM <[email-masked]> wrote:
>> All I have is a C++17 compiler. gcc -std=c17 might work for
>> compatibility on Linux but none of the gcc extensions work.
>
>What I meant was: Is there a compiler that can be compiled to both NonStop and
>Linux. What is the name of the C++17 compiler that you use on NonStop? Is there a
>Linux or Windows cross compiler that can target NonStop?

We have c99, c11, c17. The only Windows cross compiler is c99, but that requires
a license from HPE that I cannot provide. There are not non-commercial compilers
available that can be used to cross compile. Also, standard configure processing
does not work on Windows for NonStop.